<div class="container">
    <div class="card mb-3">
        <div class="card-body p-0">
            <table class="table form-group">
                {% for set in settings %}
                <tr>
                    <td style="width:35%;">
                        <label for="{set[name]}">{set[title]}</label>
                        <p class="description">{set[description]}</p>
                    </td>
                    <td>
                        {% if set[type] == "advertisements" %}
						<table class="table table-dark" style="background-color: #212529;">
							<tbody>
								{% for id, advert in set[value] %}
								<tr id="removeid-{set[name]}-{id}">
									<td>
										<p class="col-12">
											{% for part in advert[parts] %}
											<span style="color: rgb({part[color][0]},{part[color][1]},{part[color][2]});">{part[text]}</span>
											{% endfor %}
										</p>
										<div class="col-12">
											<div class="input-group mb-3">
												<div class="input-group-prepend">
													<span class="input-group-text">Interval</span>
												</div>
												<input type="number" class="form-control ajax-input" name="advertisements[{id}][interval]" value="{advert[interval]}">
												<div class="input-group-append">
													<div class="input-group-text">
														<input class="ajax-input" type="checkbox" name="advertisements[{id}][enabled]" {% if advert[enabled] == "true" %}checked="checked"{% endif %} aria-label="Enabled">
													</div>
												</div>
											</div>
										</div>
									</td>
									<td>
										<button class="btn btn-sm btn-danger btn-block ajax-button" data-name="{set[name]}" data-removeid="{id}" style="border-radius:0" href="#"><span aria-hidden="true">&times;</span></button>
									</td>
								</tr>
								{% endfor %}
							</tbody>
						</table>
                        <textarea class="summernote" id="summernote-{set[name]}" name="{set[name]}"></textarea>
                        <br>
						<button class="btn btn-sm btn-primary ajax-button" data-for="summernote-{set[name]}">Add Advertisement</button>
						{% elseif set[type] == "listDynamic" %}
                        <table class="table table-dark" style="background-color: #212529;">
                            <tbody>
                                {% for id, value in set[value] %}
                                <tr id="removeid-{set[name]}-{id}">
                                    <td>
                                        {value}
									</td>
									<td>
										<button class="btn btn-sm btn-danger btn-block ajax-button" data-name="{set[name]}" data-remove="{value}" data-removeid="{id}" style="border-radius:0" href="#"><span aria-hidden="true">&times;</span></button>
									</td>
                                </tr>
                                {% endfor %}
                                <tr>
                                    <td colspan="2">
										<input type="text" class="form-control" id="{set[name]}" name="{set[name]}[]" placeholder="{set[title]}">
										<button class="btn btn-sm btn-primary ajax-button" data-for="{set[name]}">Add Item</button>
                                    </td>
                                </tr>
                            </tbody>
						</table>
						{% elseif set[type] == "checkboxDynamic" %}
                        <div class="checkbox checkbox-primary">
                            <input class="ajax-input" id="checkbox_{set[name]}" name="{set[name]}" type="checkbox" {% if set[value] %}checked="checked" {% endif %}>
                            <label for="checkbox_{set[name]}"> {set[title]}</label>
                        </div>
						{% elseif set[type] == "select" %}
                        <select class="form-control" name="{set[name]}">
                            {% for k, v in set[value] %}
                            <option value="{k}">{v}</option>
                            {% endfor %}
						</select>
						{% elseif set[type] == "checkbox" %}
                        <div class="checkbox checkbox-primary">
                            <input id="checkbox_{set[name]}" name="{set[name]}" type="checkbox" {% if set[value] %}checked="checked" {% endif %}>
                            <label for="checkbox_{set[name]}"> {set[title]}</label>
                        </div>
						{% elseif set[type] == "textarea" %}
						<textarea class="summernote" id="summernote-{set[name]}" name="{set[name]}"></textarea>
						{% elseif set[type] == "list" %}
                        <table class="table table-dark" style="background-color: #212529;">
                            <tbody>
                                {% for value in set[value] %}
                                <tr>
                                    <td>
                                        {value}
                                    </td>
                                </tr>
                                {% endfor %}
                                <tr>
                                    <td>
                                        <input type="text" class="form-control" name="{set[name]}" placeholder="{set[title]}">
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        {% else %}
						<input type="{set[type]|text}" class="form-control" name="{set[name]}" placeholder="{set[title]}" value="{set[value]}">
						{% endif %}
					</td>
                </tr>
                {% endfor %}
            </table>
        </div>
    </div>
</div>